Package com.massivecraft.factions.listeners

## Class FactionsExploitListener

- java.lang.Object
- - com.massivecraft.factions.listeners.FactionsExploitListener

All Implemented Interfaces:
  `org.bukkit.event.Listener`

    public class FactionsExploitListener
    extends java.lang.Object
    implements org.bukkit.event.Listener

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`FactionsExploitListener()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static boolean` | `clippingThrough​(org.bukkit.Location target, org.bukkit.Location from, double thickness)` |
`void` | `enderPearlTeleport​(org.bukkit.event.player.PlayerTeleportEvent event)` |
`void` | `obsidianGenerator​(org.bukkit.event.block.BlockFromToEvent event)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FactionsExploitListener

    public FactionsExploitListener()

### Method Detail

#### clippingThrough

    public static boolean clippingThrough​(org.bukkit.Location target,
                                          org.bukkit.Location from,
                                          double thickness)

#### obsidianGenerator

    public void obsidianGenerator​(org.bukkit.event.block.BlockFromToEvent event)

#### enderPearlTeleport

    public void enderPearlTeleport​(org.bukkit.event.player.PlayerTeleportEvent event)